using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Txgy.RBS.DTO;
using Txgy.RBS.Framework;
using Txgy.RBS.Framework.Api;
using Txgy.RBS.IServices;

namespace Txgy.RBS.IServices
{
    public interface IGlobalConfigService : IBaseService
    {
        ApiResult AddGlobalConfig(GlobalConfigDTO globalConfigDTO);
     
        ApiResult UpdateGlobalConfig(GlobalConfigDTO globalConfigDTO);

        GlobalConfigDTO GetGlobalConfig();
     
        List<GlobalConfigDTO> GetAllGlobalConfig();
    }
}
